From 501b3dbef637a13545f3f31ca0f383593007c205 Mon Sep 17 00:00:00 2001
From: Ralph Bean <rbean@redhat.com>
Date: Jun 03 2015 01:19:22 +0000
Subject: [PATCH 45/254] Remove the 'request' from all these functions.  We don't need it and it unnecessarily favours the Flask app.


---

diff --git a/hubs/app.py b/hubs/app.py
index 7485d42..f1fa7b7 100644
--- a/hubs/app.py
+++ b/hubs/app.py
@@ -72,7 +72,7 @@ def widget_render(hub, idx):
     print(widget.plugin, "sleeping artificially for", s)
     time.sleep(s)
 
-    return widget.render(flask.request, session)
+    return widget.render(session)
 
 
 @app.route('/<hub>/<idx>/json')
@@ -82,7 +82,7 @@ def widget_json(hub, idx):
     widget = get_widget(session, hub, idx)
     from hubs.widgets import registry
     module = registry[widget.plugin]
-    data = module.data(flask.request, session, widget, **widget.config)
+    data = module.data(session, widget, **widget.config)
     response = flask.jsonify(data)
 
     # We don't actually need these two headers.  Just messing around.
diff --git a/hubs/models.py b/hubs/models.py
index 3d16fb1..49eb665 100644
--- a/hubs/models.py
+++ b/hubs/models.py
@@ -150,9 +150,9 @@ class Widget(BASE):
     def module(self):
         return hubs.widgets.registry[self.plugin]
 
-    def render(self, request, session):
+    def render(self, session):
         render = hubs.widgets.render
-        return render(self.module, request, session, self, **self.config)
+        return render(self.module, session, self, **self.config)
 
 
 class User(BASE):
diff --git a/hubs/widgets/__init__.py b/hubs/widgets/__init__.py
index 832c936..4078e33 100644
--- a/hubs/widgets/__init__.py
+++ b/hubs/widgets/__init__.py
@@ -59,13 +59,13 @@ def prepare_registry(registry):
 validate_registry(registry)
 prepare_registry(registry)
 
-def render(module, request, session, widget, *args, **kwargs):
+def render(module, session, widget, *args, **kwargs):
     """ Main API entry point.
 
     Call this to render a widget into HTML
     """
     # The API returns exactly this data.  Shared cache
-    data = module.data(request, session, widget, *args, **kwargs)
+    data = module.data(session, widget, *args, **kwargs)
 
     # Use the API data to fill out a template, and potentially decorate it.
     return module.render(**data)
diff --git a/hubs/widgets/base.py b/hubs/widgets/base.py
index 9bfe26e..f26edd6 100644
--- a/hubs/widgets/base.py
+++ b/hubs/widgets/base.py
@@ -51,9 +51,9 @@ def AGPLv3(name):
 def smartcache(module):
     def decorator(func):
         @wraps(func)
-        def inner(request, session, widget, *args, **kwargs):
+        def inner(session, widget, *args, **kwargs):
             key = cache_key_generator(module, args, kwargs)
-            creator = lambda: func(request, session, widget, *args, **kwargs)
+            creator = lambda: func(session, widget, *args, **kwargs)
             return cache.get_or_create(key, creator)
 
         return inner
diff --git a/hubs/widgets/dummy.py b/hubs/widgets/dummy.py
index 9731a20..d0c9e57 100644
--- a/hubs/widgets/dummy.py
+++ b/hubs/widgets/dummy.py
@@ -12,7 +12,7 @@ chrome = panel("This is a dummy widget")
 @argument(name="text", default="Lorem ipsum dolor...",
           validator=validators.text,
           help="Some dummy text to display.")
-def data(request, session, widget, text):
+def data(session, widget, text):
     return dict(text=text)
 
 
diff --git a/hubs/widgets/rules.py b/hubs/widgets/rules.py
index 4d682be..3e0fb4d 100644
--- a/hubs/widgets/rules.py
+++ b/hubs/widgets/rules.py
@@ -39,7 +39,7 @@ template = jinja2.Template("""
 @argument(name='link', default=None,
           validator=validators.link,
           help="Link to the community rules and guidelines")
-def data(request, session, widget, link):
+def data(session, widget, link):
     owners = widget.hub.owners
     owners = ordereddict([(o, avatar(o)) for o in owners])
     return dict(owners=owners, link=link)
diff --git a/hubs/widgets/stats.py b/hubs/widgets/stats.py
index 868deaa..1e14658 100644
--- a/hubs/widgets/stats.py
+++ b/hubs/widgets/stats.py
@@ -31,7 +31,7 @@ template = jinja2.Template("""
 """)
 
 
-def data(request, session, widget):
+def data(session, widget):
     return dict(
         members=len(widget.hub.members),
         subscribers=len(widget.hub.subscribers),
diff --git a/hubs/widgets/sticky.py b/hubs/widgets/sticky.py
index 85b2aaa..36d4a1a 100644
--- a/hubs/widgets/sticky.py
+++ b/hubs/widgets/sticky.py
@@ -12,7 +12,7 @@ chrome = panel(title='Sticky Note', klass="panel-info")
 @argument(name="text", default="Lorem ipsum dolor...",
           validator=validators.text,
           help="Some dummy text to display.")
-def data(request, session, widget, text):
+def data(session, widget, text):
     # TODO -- render with markdown
     return dict(text=text)
 

